OracleUtilDateType (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.oracle, class: OracleUtilDateType

# Class OracleUtilDateType

java.lang.Object
org.apache.cayenne.access.types.UtilDateType
org.apache.cayenne.dba.oracle.OracleUtilDateType

All Implemented Interfaces:
  `ExtendedType<Date>`

public class OracleUtilDateType extends UtilDateType

- ## Field Summary

  ### Fields inherited from interface ExtendedType

  `TRIM_VALUES_THRESHOLD`
  Modifier and Type
  Field
  Description
  `static final int`
  `TRIM_VALUES_THRESHOLD`
  Defines trimming constant for toString method that helps to limit logging of large values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OracleUtilDateType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `materializeObject(CallableStatement cs, int index, int type)`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
  `Date`
  `materializeObject(ResultSet rs, int index, int type)`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
  `protected Date`
  `normalizeDate(Date time)`
  Offsets date component to be January 1, 1970, since Oracle adapter returns time based on January 1, 1900.

  ### Methods inherited from class UtilDateType

  `getClassName, setJdbcObject, toString`
  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns "java.util.Date".
  `void`
  `setJdbcObject(PreparedStatement statement, Date value, int pos, int type, int scale)`
  Initializes a single parameter of a PreparedStatement with object value.
  `String`
  `toString(Date value)`
  Converts value of the supported type to a human-readable String representation.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OracleUtilDateType

    public OracleUtilDateType()

- ## Method Details

  - ### materializeObject

    public Date materializeObject(CallableStatement cs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Date>`
    Overrides:
      `materializeObject` in class `UtilDateType`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### materializeObject

    public Date materializeObject(ResultSet rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Date>`
    Overrides:
      `materializeObject` in class `UtilDateType`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### normalizeDate

    protected Date normalizeDate(Date time)
    Offsets date component to be January 1, 1970, since Oracle adapter returns time based on January 1, 1900.